import { Component } from '@angular/core';

@Component({
    selector: 'my-app',
    template: `
    <h2>igGrid</h2>
    <ig-grid [(options)]="gridOptions" [(widgetId)]='id'></ig-grid>
    `
})
export class AppComponent {
    private id: any;
    private gridOptions: any;

   constructor() {
      this.id = "grid1";
     
      this.gridOptions = {
			autoCommit:true,
            responseDataKey: "Results",
            dataSource: [],
			dataSourceUrl: "https://cors-anywhere.herokuapp.com/http://www.igniteui.com/api/products",
			width: "100%",
			height: "400px",
			autoGenerateColumns: false,
			columns: [
				{ key: "ID", headerText: "Product ID", width:"50px", dataType:"number" },
				{ key: "ProductName", headerText: "Name", width:"250px", dataType:"string" },
				{ key: "QuantityPerUnit", headerText: "Quantity per unit", width:"250px", dataType:"string" },
				{ key: "UnitPrice", headerText: "Unit Price", width:"100px", dataType:"number" }
			],
			primaryKey: "ID",
			dataBinding: function(evt, ui){
				 ui.dataSource.settings.urlParamsEncoded = function(item, params){
					 params.extraParams = { additionalParam: "abc"};
				 };

			},
			features:[
				{
					name: "Paging",
                    type: "remote",
                    recordCountKey: "Count",
                    pageSize: 5
				}
			]
		};
	}
   }

   
 